Delete specific SKU-list - Fabric
Delete specific SKU-list
cURL
curl --request DELETE \
--url https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
200: OK
{
"_id": "614b58924e92f6861ac9d43b",
"title": "GlobalExc_1",
"listType": "GLOBAL_EXCLUSION",
"applicableOn": [
"PRODUCT_PRICE"
],
"targetProducts": [
{
"kind": "SKU",
"value": [
1000000123
]
}
],
"startDate": "2022-05-04T09:23:51.459Z",
"endDate": "2099-12-31T00:00:00.000Z",
"deleted": true,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}
400: Bad Request
{
"code": "BAD_REQUEST",
"message": "Bad Request"
}
500: Internal Server Error
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
x-site-context
- Type: string
- Required: Yes
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot.